# first a few useful aliases for dir
al d   "*a dir @pickopts( $a ) -ze \"%6s %-.12n%m\" @pickargs( $a )
al lst "*a ls -t $a"    # sorts by access time
al lsl "*a ls -l $a"    #sorts by length
al move "cp -m

# sc searches *.c, even 'sc -c main()' works
al sc "%a search @pickopts( $a ) *.c @pickargs( $a )

# edf edits a function in CygnusEd if the name starts in the first column:
al edf {
%func 
 set b ""
 search -afl *.c $func | inp b
 if $b
  split b file line
  lced $file
  waitforport rexx_ced
  inc line 1
  rxsend rexx_ced "jump to file "$file "jumpto "$line" 0"
 else
  echo Not found
 endif
}

# this aliases suppress wild card expansion for certain commands
al zoo     "*a Zoo $a
al lharc   "*a Lharc $a
al lz      "*a Lz $a
al newlist "*a Newlist $a
al eval    "*a Eval $a


# this one will show all pictures, the newest first
al newpix  "ls -nt | forline i STDIN \"ShowIFF $i

# if you want to run cshell internal commands in the backrund, use rs
al rs      "rback csh -c

# some aliases for UNIX compatibility

# this ceates a chmod command that expects the bits first and the files after
alias chmod "%a protect @subwords( $a 2 9999 ) @first( $a )

# the same with grep:
alias grep "%a search @subwords( $a 2 9999 ) @first( $a )

set stk ""
# pushd pushes the current directory on a stack
al pushd "%a set stk $_cwd @subwords( $stk 1 10 );\\cd $a;e $stk

# popd  retrieves it from there
al popd  "\\cd @first( $stk );set stk @subwords( $stk 2 10 );e $stk


return 0
# ------ CUT HERE ---- MANSPLIT.SH ----
# this splits up csh:csh.doc in many little files, one per entry, which
# should be usable for MRman or similar tools

echo Patience...
set dest ram:cshdoc/           # set your destination directory here
if -nd ram:cshdoc;mkdir ram:cshdoc;endif   # ...and here
set mode skip
forline i csh:csh.doc {
 if $mode = write
  if @strleft( $i^a 1 ) < " " 
   echo >>$dest$file $i
  else
   set mode skip
  endif
 endif
 if $mode = skip
  if "    " = @strleft( $i 4 )
   set mode write
   set a @index( $i "(" )
   if $a > 0;dec a 1;strleft i $i $a;endif
   set file $i
   echo >$dest$file $i
   echo $file
  endif
 endif
}
